<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
  if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

  include "lnf-utils-xml".$LNF_file_extension;
  include "lnf-auth".$LNF_file_extension;
  
  if ($LNF_site_restricted_access==1)
     CheckHabilitation("Reader",$currenttopic);

  // Check if the imputs are OK (not null nor full of blanks)
  if ((Valid_Input($nom)==FALSE))
  {
    header("Location: " . $url . "print".$LNF_file_extension."?art=".$nomarticle."&lnferror=".$display[$lang]["name"]." ".$display[$lang]["nottobenull"]);
    exit;
  }
  
  if ((Valid_Input($article)==FALSE))
  {
    header("Location: " . $url . "print".$LNF_file_extension."?art=".$nomarticle."&lnferror=".$display[$lang]["comments"]." ".$display[$lang]["nottobenull"]);
    exit;
  }
  
  
  $datefic = getdatefichier();
  $dateinfic = getdateaffichage();

  // read the current news file
  $fd=fopen("$nomarticle","r");
  $contents = fread( $fd, 100000);
  fclose( $fd );

  // extract the email adress of the original poster
  $work_var_1=split("<email>",$contents);
  $work_var_2=split("</email>",$work_var_1[1]);
  $email_original_poster=ereg_replace("_at_","@",$work_var_2[0]);

  // extract the title of the original news
  $work_var_3=split("<title>",$contents);
  $news_title=split("</title>",$work_var_3[1]);

  // replace the current </news> by a carriage return
  $contents = ereg_replace("\n</news>\n","\n",$contents);  

  // rewrite the file without the </news> so you can append the next 
  // reply to the file without breaking the XML document
  $fic = fopen("$nomarticle","w");
  fputs($fic,$contents);
  fclose($fic);

  $fic = fopen("$nomarticle","a");

  fputs($fic,"<reply>\n<replyid>" . htmlspecialchars(cleaning_input($nom)) ."-" . cleaning_input($datefic) . "#0</replyid>\n");
  $email = ereg_replace("@","_at_",$email);   
  fputs($fic,"<replyemail>". htmlspecialchars(cleaning_input($email)) . "</replyemail>\n");
  fputs($fic,"<replyauthor>" . htmlspecialchars(cleaning_input($nom)) . "</replyauthor>\n");
  fputs($fic,"<replydate>".cleaning_input($dateinfic) ."</replydate>\n");
  fputs($fic,"<replybody>\n" . htmlspecialchars(cleaning_input($article)) . "\n</replybody>\n");
  fputs($fic,"</reply>\n");
  fputs($fic,"</news>\n");

  fclose($fic);

  // send a notification to the original poster
  //   when an answer is written to his news.
  if (ValidEmailAdress($email_original_poster) && $LNF_reply_notification==1)
  {
     mail ($email_original_poster,"[" . $news_title[0] . "] ". $display[$lang]["answer"] . " - ". $display[$lang]["author"] .": " . $nom, $display[$lang]["readandanswer"] . ":\n" . $url."print".$LNF_file_extension."?art=".$nomarticle, "From: lnfnotification@yoursite.com");
  }

  header("Location: " . $url . "print".$LNF_file_extension."?art=" . $nomarticle);
?>
