<?php 
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

include "lnf-auth".$LNF_file_extension;
include "lnf-utils-xml".$LNF_file_extension;

CheckHabilitation("Admin",$currenttopic);

include "menu".$LNF_file_extension;

$tplArt = new FastTemplate("templates/$LNF_template"); 
$tplArt->define( array( table      => "table.tpl", 
                      row        => "row.tpl", 
                      line       => "line.tpl", 
                      colour0    => "colour0.tpl",
                      colour1    => "colour1.tpl",
                      colour2    => "colour2.tpl",
                      td         => "td.tpl") ); 

print "<form method=\"post\" action=\"setpasswd".$LNF_file_extension."\">";
print "<input type=\"hidden\" name=\"comefrom\" value=0>";
$tplArt->assign(LNF_TD_WIDTH,"30%");
$tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["changepassword"]."</b>");
$tplArt->parse(LNF_ROW,"td");
$tplArt->assign(LNF_TD_WIDTH,"70%");
$tplArt->assign(LNF_TD_CONTENT,"&nbsp");
$tplArt->parse(LNF_ROW,".td");
$tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
$tplArt->parse(LNF_TABLE_ROWS,".row");

$tplArt->assign(LNF_TD_WIDTH,"30%");
$tplArt->assign(LNF_TD_CONTENT,$display[$lang]["enternewpw"]);
$tplArt->parse(LNF_ROW,"td");
$tplArt->assign(LNF_TD_WIDTH,"70%");
$tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd1\" SIZE=\"30\" MAXLENGTH=\"30\">");
$tplArt->parse(LNF_ROW,".td");
$tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplArt->parse(LNF_TABLE_ROWS,".row");

$tplArt->assign(LNF_TD_WIDTH,"30%");
$tplArt->assign(LNF_TD_CONTENT,$display[$lang]["reenterpw"]);
$tplArt->parse(LNF_ROW,"td");
$tplArt->assign(LNF_TD_WIDTH,"70%");
$tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd2\" SIZE=\"30\" MAXLENGTH=\"30\">");
$tplArt->parse(LNF_ROW,".td");
$tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplArt->parse(LNF_TABLE_ROWS,".row");

$tplArt->assign(LNF_TABLE_WIDTH,"95%");
$tplArt->parse(FINAL,"table");

$tplArt->FastPrint(FINAL);

?>
<p></p>

<center> <input type="submit" name="submit" value="Ok"> </center>

</form>
<?php
?>
<form method="post" action="setpasswd<?php echo $LNF_file_extension; ?>">
<input type="hidden" name="comefrom" value=2>
<?php
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["changemoderatorpw"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");
  
  // Forum behavior
  if ($way==0)
  {
	  $tplArt->assign(LNF_TD_WIDTH,"30%");
	  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["topic"]);
	  $tplArt->parse(LNF_ROW,"td");

	  $tplArt->assign(LNF_TD_WIDTH,"70%");

	  $tab = ListDirInArray(".top","news");
	  $taille = sizeof($tab);
	  $line="<select name=\"currenttop\" size=1>\n";
	  $select=0;
	  for($i=0;$i<$taille;$i++)
	  {   
		$tab2 = explode(".top",$tab[$i]);
		 
		if ($select==0)
		{
		   $select=1;
		   $line = $line . "<option selected value=\"news/$tab2[0]\" > $tab2[0] </option>";
		}
		else
		   $line = $line . "<option value=\"news/$tab2[0]\">  $tab2[0] </option>";
	  }
	  $line = $line . "</select>\n";

	  $tplArt->assign(LNF_TD_CONTENT,$line);
	  $tplArt->parse(LNF_ROW,".td");
	  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
	  $tplArt->parse(LNF_TABLE_ROWS,".row");
  }
  else
      print "<input type=\"hidden\" name=\"currenttop\" value=\"news\">";

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["enternewpw"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd1\" SIZE=\"30\" MAXLENGTH=\"30\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");
    
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["reenterpw"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd2\" SIZE=\"30\" MAXLENGTH=\"30\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);
?>
<p></p>

<center> <input type="submit" name="submit" value="Ok"> </center>

</form>
<form method="post" action="setpasswd<?php echo $LNF_file_extension; ?>">
<input type="hidden" name="comefrom" value=3>
<?php
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["changepassword"]." : ".$display[$lang]["poster"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");
  
  // Forum behavior
  if ($way==0)
  {
	  $tplArt->assign(LNF_TD_WIDTH,"30%");
	  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["topic"]);
	  $tplArt->parse(LNF_ROW,"td");

	  $tplArt->assign(LNF_TD_WIDTH,"70%");

	  $tab = ListDirInArray(".top","news");
	  $taille = sizeof($tab);
	  $line="<select name=\"currenttop\" size=1>\n";
	  $select=0;
	  for($i=0;$i<$taille;$i++)
	  {   
		$tab2 = explode(".top",$tab[$i]);
		 
		if ($select==0)
		{
		   $select=1;
		   $line = $line . "<option selected value=\"news/$tab2[0]\" > $tab2[0] </option>";
		}
		else
		   $line = $line . "<option value=\"news/$tab2[0]\">  $tab2[0] </option>";
	  }
	  $line = $line . "</select>\n";

	  $tplArt->assign(LNF_TD_CONTENT,$line);
	  $tplArt->parse(LNF_ROW,".td");
	  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
	  $tplArt->parse(LNF_TABLE_ROWS,".row");
  }
  else
      print "<input type=\"hidden\" name=\"currenttop\" value=\"news\">";
  
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["enternewpw"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd1\" SIZE=\"30\" MAXLENGTH=\"30\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");
    
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["reenterpw"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd2\" SIZE=\"30\" MAXLENGTH=\"30\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);
?>
<p></p>

<center> <input type="submit" name="submit" value="Ok"> </center>

</form>
<form method="post" action="setpasswd<?php echo $LNF_file_extension; ?>">
<input type="hidden" name="comefrom" value=4>
<?php
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["changepassword"]." : ".$display[$lang]["reader"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");
  
  // Forum behavior
  if ($way==0)
  {
	  $tplArt->assign(LNF_TD_WIDTH,"30%");
	  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["topic"]);
	  $tplArt->parse(LNF_ROW,"td");

	  $tplArt->assign(LNF_TD_WIDTH,"70%");

	  $tab = ListDirInArray(".top","news");
	  $taille = sizeof($tab);
	  $line="<select name=\"currenttop\" size=1>\n";
	  $select=0;
	  for($i=0;$i<$taille;$i++)
	  {   
		$tab2 = explode(".top",$tab[$i]);
		 
		if ($select==0)
		{
		   $select=1;
		   $line = $line . "<option selected value=\"news/$tab2[0]\" > $tab2[0] </option>";
		}
		else
		   $line = $line . "<option value=\"news/$tab2[0]\">  $tab2[0] </option>";
	  }
	  $line = $line . "</select>\n";

	  $tplArt->assign(LNF_TD_CONTENT,$line);
	  $tplArt->parse(LNF_ROW,".td");
	  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
	  $tplArt->parse(LNF_TABLE_ROWS,".row");
  }
  else
      print "<input type=\"hidden\" name=\"currenttop\" value=\"news\">";
  
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["enternewpw"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd1\" SIZE=\"30\" MAXLENGTH=\"30\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");
    
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["reenterpw"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"newpasswd2\" SIZE=\"30\" MAXLENGTH=\"30\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);
?>
<p></p>

<center> <input type="submit" name="submit" value="Ok"> </center>

</form>

<?php
include "tail".$LNF_file_extension;
?>