<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

include "lnf-utils-xml".$LNF_file_extension;
include "lnf-auth".$LNF_file_extension;

if ($LNF_site_restricted_post==1)
   CheckHabilitation("Poster",$currenttopic);

if ($LNF_site_restricted_access==1)
   CheckHabilitation("Reader",$currenttopic);

include "menu".$LNF_file_extension;
?>

<form method="post" action="newarticle<?php echo $LNF_file_extension; ?>">
<?php
   if ($way==0) 
   {
?>
<input type="hidden" name="choosentopic" value="<?php echo $currenttopic;?>">
<?php
   }
    $tplArt = new FastTemplate("templates/$LNF_template"); 
    $tplArt->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,"<b><big>".$display[$lang]["writeanews"]."</big></b>");
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");
    $tplArt->assign(LNF_TD_CONTENT,"&nbsp;");
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
    $tplArt->parse(LNF_TABLE_ROWS,"row");

    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["name"]);
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");
    $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"nom\" SIZE=\"60\" MAXLENGTH=\"60\">");
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
    $tplArt->parse(LNF_TABLE_ROWS,".row");

    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["email"]);
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");
    $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"email\" SIZE=\"60\" MAXLENGTH=\"60\">");
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
    $tplArt->parse(LNF_TABLE_ROWS,".row");

    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["title"]);
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");
    $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"titre\" SIZE=\"60\" MAXLENGTH=\"60\">");
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
    $tplArt->parse(LNF_TABLE_ROWS,".row");

    if ($way==1) 
    {
        $tplArt->assign(LNF_TD_WIDTH,"25%");
        $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["topic"]);
        $tplArt->parse(LNF_ROW,"td");
        $tplArt->assign(LNF_TD_WIDTH,"75%");
        
        $tab = ListDirInArray(".top","news");
        $taille = sizeof($tab);
        $line= "<select name=\"choosentopic\" size=1>\n";
        for($i=0;$i<$taille;$i++)
        {   
           $tab2 = explode(".top",$tab[$i]);

           if ($tab2[0]==$currenttopic)
              $line = $line . "<option selected value=\"$tab2[0]\" > $tab2[0] </option>";
           else
              $line = $line . "<option value=\"$tab2[0]\">  $tab2[0] </option>";
        }
        $line = $line . "</select>\n";

        $tplArt->assign(LNF_TD_CONTENT,$line);
        $tplArt->parse(LNF_ROW,".td");
        $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
        $tplArt->parse(LNF_TABLE_ROWS,".row");
    }

    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,"&nbsp;");
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");
    $tplArt->assign(LNF_TD_CONTENT,"<textarea name=\"article\" rows=20 cols=60 wrap=PHYSICAL></textarea>");
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
    $tplArt->parse(LNF_TABLE_ROWS,".row");

    //Add the links section
    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["links"]);
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");

	$linkitem="<table>";
	$linkitem=$linkitem."<tr><td width=\"20%\">";
	$linkitem=$linkitem.$display[$lang]["link"];
	$linkitem=$linkitem."</td><td width=\"80%\">";
	$linkitem=$linkitem."<input type=\"text\" name=\"link1\" SIZE=\"60\" MAXLENGTH=\"60\">";
	$linkitem=$linkitem."</td></tr>";
	$linkitem=$linkitem."<tr><td width=\"20%\">";
	$linkitem=$linkitem.$display[$lang]["description"];
	$linkitem=$linkitem."</td><td width=\"80%\">";
	$linkitem=$linkitem."<input type=\"text\" name=\"linktext1\" SIZE=\"60\" MAXLENGTH=\"60\">";
	$linkitem=$linkitem."</td></tr>";
	$linkitem=$linkitem."<tr><td width=\"20%\">";
	$linkitem=$linkitem.$display[$lang]["link"];
	$linkitem=$linkitem."</td><td width=\"80%\">";
	$linkitem=$linkitem."<input type=\"text\" name=\"link2\" SIZE=\"60\" MAXLENGTH=\"60\">";
	$linkitem=$linkitem."</td></tr>";
	$linkitem=$linkitem."<tr><td width=\"20%\">";
	$linkitem=$linkitem.$display[$lang]["description"];
	$linkitem=$linkitem."</td><td width=\"80%\">";
	$linkitem=$linkitem."<input type=\"text\" name=\"linktext2\" SIZE=\"60\" MAXLENGTH=\"60\">";
	$linkitem=$linkitem."</td></tr>";
	$linkitem=$linkitem."<tr><td width=\"20%\">";
	$linkitem=$linkitem.$display[$lang]["link"];
	$linkitem=$linkitem."</td><td width=\"80%\">";
	$linkitem=$linkitem."<input type=\"text\" name=\"link3\" SIZE=\"60\" MAXLENGTH=\"60\">";
	$linkitem=$linkitem."</td></tr>";
	$linkitem=$linkitem."<tr><td width=\"20%\">";
	$linkitem=$linkitem.$display[$lang]["description"];
	$linkitem=$linkitem."</td><td width=\"80%\">";
	$linkitem=$linkitem."<input type=\"text\" name=\"linktext3\" SIZE=\"60\" MAXLENGTH=\"60\">";
	$linkitem=$linkitem."</td></tr>";
	$linkitem=$linkitem."</table>";
    
	$tplArt->assign(LNF_TD_CONTENT,$linkitem);
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
    $tplArt->parse(LNF_TABLE_ROWS,".row");

    $tplArt->assign(LNF_TD_WIDTH,"25%");
    $tplArt->assign(LNF_TD_CONTENT,"&nbsp;");
    $tplArt->parse(LNF_ROW,"td");
    $tplArt->assign(LNF_TD_WIDTH,"75%");
    $tplArt->assign(LNF_TD_CONTENT,"<input type=\"submit\" name=\"submit\" value=". $display[$lang]["send"]. ">\n" ."<input type=\"hidden\" name=\"art\" value=\"$art\">\n" . "<input type=\"hidden\" name=\"level\" value=\"$level\">\n" . "<input type=\"hidden\" name=\"ans\" value=\"$ans\"\n>");
    
    $tplArt->parse(LNF_ROW,".td");
    $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
    $tplArt->parse(LNF_TABLE_ROWS,".row");

    $tplArt->assign(LNF_TABLE_WIDTH,"95%");
$tplArt->parse(FINAL,"table");

   $tplArt->FastPrint(FINAL);
?>
</form>
<?php include "tail".$LNF_file_extension; ?>