<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

 // extract all current topics 
 $tabtopic=ListDirInArray(".top", "news");
 $taille=sizeof($tabtopic);

 $tplArt = new FastTemplate("templates/$LNF_template"); 
 $tplArt->define( array( table      => "table.tpl", 
                         row        => "row.tpl", 
                         line       => "line.tpl", 
                         link       => "link.tpl",
                         image      => "image.tpl",
                         colour0    => "colour0.tpl",
                         colour1    => "colour1.tpl",
                         colour2    => "colour2.tpl",
                         td         => "td.tpl") ); 


  // display column heads of the HTML table
  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["forums"]."</b>");
  $tplArt->parse(LNF_ROW,"td");

  $tplArt->assign(LNF_TD_WIDTH,"35%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["description"]."</b>");
  $tplArt->parse(LNF_ROW,".td");

  $tplArt->assign(LNF_TD_WIDTH,"35%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["numberofnews"]."</b>");
  $tplArt->parse(LNF_ROW,".td");

  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");


 // process each topic
 for ($ind=0; $ind < $taille; $ind++) 
 {   
  // extract the name of this particular topic.
  $tabtopic2 = explode(".top",$tabtopic[$ind]);

  // display topic image 
  $tplArt->assign(LNF_TOPIC_LINK,"listdir".$LNF_file_extension."?top=$tabtopic2[0]");
  $tplArt->assign(LNF_IMAGE_FILE,$url."images/topicimages/".GetTopicImage($tabtopic2[0]));
  $tplArt->assign(LNF_IMAGE_ALIGN,"right");
  $tplArt->assign(LNF_TOPIC_NAME,$tabtopic2[0]);
  $tplArt->parse(LNF_TD_CONTENT,"image");
  $tplArt->assign(LNF_DISPLAY,"<br><b>".$tabtopic2[0]."</b>");
  $tplArt->assign(LNF_LINK,"listdir".$LNF_file_extension."?top=" . $tabtopic2[0]);
  $tplArt->parse(LNF_TD_CONTENT,".link");
  $tplArt->assign(LNF_TD_WIDTH,"20%");
  $tplArt->parse(LNF_ROW,"td");

  // search the number of news for this particular topic.
  $tabartsintopic=ListDirInArray($tabtopic2[0] . ".xml", "news");
  $nbartsintopic=sizeof($tabartsintopic);
  if ($nbartsintopic != 0)
  {
	 rsort($tabartsintopic);
     $lastnews=$tabartsintopic[0];
  }

  // extract the description of this particular topic.
  $fic1=fopen("news/".$tabtopic2[0].".des","r");
  $line=fread($fic1,filesize("news/".$tabtopic2[0].".des"));
  $line=stripslashes($line);
  fclose($fic1);

  // display the name of this particular topic.
  // display the description of this particular topic. 
  $tplArt->assign(LNF_TD_CONTENT,nl2br($line));
  $tplArt->assign(LNF_TD_WIDTH,"40%");
  $tplArt->parse(LNF_ROW,".td");

  // display the number of news for this particular topic + the date/time of last post
  $tplArt->assign(LNF_TD_WIDTH,"40%");
  if ($nbartsintopic != 0)
  {
     $tplArt->assign(LNF_TD_CONTENT,$nbartsintopic . " <i><small>(".$display[$lang]["updated"] . " " . substr($lastnews,6,2)."/".substr($lastnews,4,2)."/".substr($lastnews,0,4).", ".substr($lastnews,9,2)."h".substr($lastnews,11,2).":".substr($lastnews,13,2) .")</i></small>");
  }
  else  
     $tplArt->assign(LNF_TD_CONTENT,$nbartsintopic);

  $tplArt->parse(LNF_ROW,".td");

  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");
 }

  $tplArt->assign(LNF_TABLE_WIDTH,"85%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);
?>