<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  if (file_exists("functions.php"))
     include "functions.php";
  else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

  include "lnf-auth".$LNF_file_extension;

  $temp = MyCrypt($passwd);

  $sito = "login".$LNF_file_extension;
  
  //read the correct password file
  switch ($logintype)
  {
   case "Admin":
        $readpass = ReadPassword();
		break;
   case "Moderator":
        $readpass = ReadPassword("$currenttop-modpass".$LNF_file_extension);
        break;
   case "Reader":
        $readpass = ReadPassword("$currenttop-readerpass".$LNF_file_extension);
        break;
   case "Poster":
        $readpass = ReadPassword("$currenttop-posterpass".$LNF_file_extension);
        break;
  }

  //if passwords are equals, set the corresponding cookie and go to the requested form.
  if ($temp == $readpass)
  {
	  switch ($logintype)
	  {
	   case "Admin":
            setcookie("Admin",$temp,time()+3600);
            setcookie("Moderator","",time()+3600);
            setcookie("Reader","",time()+3600);
            setcookie("Poster","",time()+3600);
            $sito = "sitesettingsdisp".$LNF_file_extension;
//     		header("Location: " . $url . "sitesettingsdisp".$LNF_file_extension);
//			exit;
			break;

	   case "Moderator":
            setcookie("Moderator",$temp,time()+3600);
            setcookie("Admin","",time()+3600);
            setcookie("Reader","",time()+3600);
            setcookie("Poster","",time()+3600);
            $sito = "listmod".$LNF_file_extension;
//            header("Location: " . $url . "listmod".$LNF_file_extension);
//            exit;
			break;

	   case "Reader":
			setcookie("Reader",$temp,time()+3600);
            setcookie("Admin","",time()+3600);
            setcookie("Moderator","",time()+3600);
            setcookie("Poster","",time()+3600);
            $sito = "listdir".$LNF_file_extension;
//            header("Location: " . $url . "listdir".$LNF_file_extension);
//            exit;
			break;

	   case "Poster":
            setcookie("Poster",$temp,time()+3600);
            setcookie("Admin","",time()+3600);
            setcookie("Moderator","",time()+3600);
            setcookie("Reader","",time()+3600);
            $sito = "listdir".$LNF_file_extension;
//            header("Location: " . $url . "listdir".$LNF_file_extension);
//            exit;
			break;

       default:
            setcookie("Admin","",time()+3600);
            setcookie("Moderator","",time()+3600);
            setcookie("Reader","",time()+3600);
            setcookie("Poster","",time()+3600);
            $sito = "login".$LNF_file_extension;
			break;            
	  }
  }
  else
  {
    //if password is false, return to the login form
    setcookie("Admin","",time()+3600);
    setcookie("Moderator","",time()+3600);
    setcookie("Reader","",time()+3600);
    setcookie("Poster","",time()+3600);
    $sito = "login".$LNF_file_extension;
  }

  echo "<html> <body> <SCRIPT LANGUAGE=\"JavaScript\"> top.location.replace ('" .$url .$sito . "') </SCRIPT> </body> </html>";

?>