<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

include "lnf-auth".$LNF_file_extension;
include "lnf-utils-xml".$LNF_file_extension;
include "lnf-display-xml".$LNF_file_extension;

if ($LNF_site_restricted_access==1)
   CheckHabilitation("Reader",$currenttopic);
   
include "menu".$LNF_file_extension;

DisplayXMLArticle($newsfilename);

print "<form method=\"post\" action=\"mailto".$LNF_file_extension."\">";
print "<input name=\"newsfilename\" type=\"hidden\" value=\"".$newsfilename."\">";

$tplart2 = new FastTemplate("templates/$LNF_template"); 
$tplart2->define( array( table      => "table.tpl", 
					  row        => "row.tpl", 
					  line       => "line.tpl", 
					  colour0    => "colour0.tpl",
					  colour1    => "colour1.tpl",
					  colour2    => "colour2.tpl",
					  td         => "td.tpl") ); 

$tplart2->assign(LNF_TD_WIDTH,"30%");
$tplart2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["mailtoafriend"]."</b>");
$tplart2->parse(LNF_ROW,"td");
$tplart2->assign(LNF_TD_WIDTH,"70%");
$tplart2->assign(LNF_TD_CONTENT,"&nbsp");
$tplart2->parse(LNF_ROW,".td");
$tplart2->parse(LNF_BACKGROUND_COLOR,"colour2");
$tplart2->parse(LNF_TABLE_ROWS,".row");

$tplart2->assign(LNF_TD_WIDTH,"30%");
$tplart2->assign(LNF_TD_CONTENT,$display[$lang]["yourname"]);
$tplart2->parse(LNF_ROW,"td");
$tplart2->assign(LNF_TD_WIDTH,"70%");
$tplart2->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"yourname\" SIZE=\"60\" MAXLENGTH=\"60\" value=\"\"");
$tplart2->parse(LNF_ROW,".td");
$tplart2->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplart2->parse(LNF_TABLE_ROWS,".row");

$tplart2->assign(LNF_TD_WIDTH,"30%");
$tplart2->assign(LNF_TD_CONTENT,$display[$lang]["youremail"]);
$tplart2->parse(LNF_ROW,"td");
$tplart2->assign(LNF_TD_WIDTH,"70%");
$tplart2->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"youremail\" SIZE=\"60\" MAXLENGTH=\"60\" value=\"\"");
$tplart2->parse(LNF_ROW,".td");
$tplart2->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplart2->parse(LNF_TABLE_ROWS,".row");

$tplart2->assign(LNF_TD_WIDTH,"30%");
$tplart2->assign(LNF_TD_CONTENT,$display[$lang]["friendemail"]);
$tplart2->parse(LNF_ROW,"td");
$tplart2->assign(LNF_TD_WIDTH,"70%");
$tplart2->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"friendemail\" SIZE=\"60\" MAXLENGTH=\"60\" value=\"\"");
$tplart2->parse(LNF_ROW,".td");
$tplart2->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplart2->parse(LNF_TABLE_ROWS,".row");

$tplart2->assign(LNF_TD_WIDTH,"30%");
$tplart2->assign(LNF_TD_CONTENT,$display[$lang]["comments"]);
$tplart2->parse(LNF_ROW,"td");
$tplart2->assign(LNF_TD_WIDTH,"70%");
$tplart2->assign(LNF_TD_CONTENT,"<textarea name=\"comments\" rows=3 cols=60 wrap=PHYSICAL></textarea>");
$tplart2->parse(LNF_ROW,".td");
$tplart2->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplart2->parse(LNF_TABLE_ROWS,".row");

$tplart2->assign(LNF_TABLE_WIDTH,"95%");
$tplart2->parse(FINAL,"table");
$tplart2->FastPrint(FINAL);



print "<p><center><input type=\"submit\" name=\"submit\" value=\"".$display[$lang]["send"]."\"> </center>";
print "</form>";


include "tail".$LNF_file_extension;
?>