<?php 
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

  include "lnf-auth".$LNF_file_extension;
  include "lnf-utils-xml".$LNF_file_extension;

  CheckHabilitation("Admin",$currenttopic);
  
  if (CheckString($topname) == TRUE)  
  {
    if (Valid_Input($topname)==TRUE)
    {
     $oldumask = umask(0); 
	 $fictop=fopen("news/$topname.top","w+");
	 fputs($fictop,"[".$topname."]");
	 fclose($fictop);
     chmod("news/$topname.top",0666);
	 $ficdes=fopen("news/$topname.des","w+");
	 fputs($ficdes,$description);
	 fclose($ficdes);
     chmod("news/$topname.des",0666);
     copy("original-topsettings".$LNF_file_extension,"news/$topname-usersettings".$LNF_file_extension);
     chmod("news/$topname-usersettings".$LNF_file_extension,0666);

     // read in one line all the news file
 	 $fd=fopen("news/$topname-usersettings".$LNF_file_extension,"r");
	 $contents = fread( $fd, 100000);
	 fclose( $fd );

	 // replace original value of the topic logo by the value selected by the admin
     $contents = ereg_replace("topicannouncements.gif",$newimage,$contents); 
	 
	 // save the new value in the settings file
	 $ficset=fopen("news/$topname-usersettings".$LNF_file_extension,"w");
	 fputs($ficset,$contents);
	 fclose($ficset);


     copy("original-pass".$LNF_file_extension,"news/$topname-modpass".$LNF_file_extension);
     chmod("news/$topname-modpass".$LNF_file_extension,0666);
	 umask($oldumask);      
     copy("original-pass".$LNF_file_extension,"news/$topname-readerpass".$LNF_file_extension);
     chmod("news/$topname-readerpass".$LNF_file_extension,0666);
	 umask($oldumask);      
     copy("original-pass".$LNF_file_extension,"news/$topname-posterpass".$LNF_file_extension);
     chmod("news/$topname-posterpass".$LNF_file_extension,0666);
	 umask($oldumask);      
	
     setcookie("currenttopic",$topname,time()+86400);
	 header("Location: " . $url . "listdir".$LNF_file_extension);
	 exit;
	}
	else
     header("Location: " . $url . "createtopic".$LNF_file_extension."?lnferror="."[".$display[$lang]["entertopicname"]."] ".$display[$lang]["nottobenull"]);  
  }
  else 
     header("Location: " . $url . "createtopic".$LNF_file_extension."?lnferror="."[".$display[$lang]["entertopicname"]."] ".$display[$lang]["onlylettersfigures"]);
?>